package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaUserVerify;

/**
 * 审核 业务
 */
public interface ITaUserVerifyService extends IService<TaUserVerify> {

    /**
     * 查询 所有审核数据
     * @param phone
     * @param userName
     * @param idCard
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseBean selectAll(String phone, String userName, String idCard, Integer pageNum, Integer pageSize);

    /**
     * 审核 用户
     * @param userElement
     * @param userVerifyId
     * @param verifyStatus
     * @param remark
     * @return
     */
    ResponseBean auditUser(UserElement userElement, Integer userVerifyId, Boolean verifyStatus, String remark);

    /**
     * 楼栋详情页面审核审核
     * @param userElement
     * @param userVerifyId
     * @param verifyStatus
     * @param remark
     * @return
     */
    ResponseBean verifyinfoAdd(UserElement userElement, Integer userVerifyId, String verifyStatus ,String roleState, String remark);

}
